-- name: [SMASH CO-OP] Template Stage

-- Earliest compatible version of Super Smash Bros. Co-op.
SMASH_VERSION = 0.2

-- Change these to suit your level.
local stageName         = "Unknown"                             -- Name that appears on the Stage Select screen.
local stageIcon         = get_texture_info("menu-icon-unknown") -- Icon that appears on the Stage Select screen.
local blastZoneRadius   = 9500                                  -- Furthest horizontal distance the player can go before dying.
local blastZoneBottom   = -8000                                 -- Lowest point the player can go before dying.
local blastZoneTop      = 3000                                  -- Highest point the player can be launched to before dying.
local spawnRadius       = 2250                                  -- The player's spawning radius.

-- Add your level to the /levels/ directory and replace 'level_..._entry' with the .lvl name.
local SMASH_LEVEL_CUSTOM = level_register('level_..._entry',     COURSE_NONE,    stageName,       'unknown',   28000, 0x28, 0x28, 0x28)

if not _G.smash then
    djui_popup_create("Super Smash Bros. Co-op was not detected, please enable the mod to proceed", 2)
elseif _G.smash.SMASH_VERSION < SMASH_VERSION then
    djui_popup_create(string.format("%s uses a newer version of Super Smash Bros. Co-op! Please update! (Mod version: %.2f)", stageName, SMASH_VERSION), 2)
else
    _G.smash.smash_add_stage(SMASH_LEVEL_CUSTOM, stageName, stageIcon, blastZoneRadius, blastZoneBottom, blastZoneTop, spawnRadius, 0, nil)
end


